# Batch claim

`createCollectFeesPayload` and  `createCollectRewardsPayload` creates a transaction builder for batch fee collection by a array of objects.

```typescript
const pool_id = '0xc41621d02d5ee00a7a993b912a855...'
const pos_id = '0x2f10a5816747fd02218dd7a3a7d0417d...' // is wrap pos id
const coin_type_a = '26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::usdc::USDC'
const coin_type_b = '26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::cetus::CETUS'
const rewarder_coin_types = ['0x26b3bc67befc214058ca78ea9a2690298d731a2d4309485ec3d40198063c4abc::cetus::CETUS']

let tx = sdk.Burn.createCollectFeesPayload([{
  pool_id,
  pos_id,
  coin_type_a,
  coin_type_b,
  account,
}, ...])

tx = sdk.Burn.createCollectRewardsPayload([{
  pool_id,
  pos_id,
  coin_type_a,
  coin_type_b,
  rewarder_coin_types,
  account,
}, ...])

const simulate_res = await sdk.FullClient.devInspectTransactionBlock({
  transactionBlock: txb,
  sender: account,
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-sdk-v2/sdk-modules/cetusprotocol-burn-sdk/batch-claim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
